// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package ods

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	model "LAPP_LF_MOM_BACKEND/models/ods"
)

/******************************************************************************
 *
 * @Description              : OdsType的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsType_PlantNr = grmi.NewField("PlantNr", "ODS_OdsType.PlantNr", "plantnr", grmi.TypeInt)
var OdsType_OdsTypeId = grmi.NewField("OdsTypeId", "ODS_OdsType.OdsTypeId", "odstypeid", grmi.TypeString)
var OdsType_Descr = grmi.NewField("Descr", "ODS_OdsType.Descr", "descr", grmi.TypeString)
var OdsType_Width = grmi.NewField("Width", "ODS_OdsType.Width", "width", grmi.TypeInt)
var OdsType_Height = grmi.NewField("Height", "ODS_OdsType.Height", "height", grmi.TypeInt)
var OdsType_Player = grmi.NewField("Player", "ODS_OdsType.Player", "player", grmi.TypeString)
var OdsType_CtrlPara1 = grmi.NewField("CtrlPara1", "ODS_OdsType.CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OdsType_CtrlPara2 = grmi.NewField("CtrlPara2", "ODS_OdsType.CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OdsType_CtrlPara3 = grmi.NewField("CtrlPara3", "ODS_OdsType.CtrlPara3", "ctrlpara3", grmi.TypeString)
var OdsType_CtrlPara4 = grmi.NewField("CtrlPara4", "ODS_OdsType.CtrlPara4", "ctrlpara4", grmi.TypeString)
var OdsType_LastModify = grmi.NewField("LastModify", "ODS_OdsType.LastModify", "lastmodify", grmi.TypeDateTime)
var OdsType_LastUser = grmi.NewField("LastUser", "ODS_OdsType.LastUser", "lastuser", grmi.TypeString)
var OdsType_CreateTime = grmi.NewField("CreateTime", "ODS_OdsType.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : OdsType的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-20 10:57:41
 *
 ******************************************************************************/
var OdsType = grmi.NewEntity(
	"ODS_OdsType",
	func() interface{} { return &model.OdsType{} },
	map[string]grmi.Field{
		OdsType_PlantNr.Name:    OdsType_PlantNr,
		OdsType_OdsTypeId.Name:  OdsType_OdsTypeId,
		OdsType_Descr.Name:      OdsType_Descr,
		OdsType_Width.Name:      OdsType_Width,
		OdsType_Height.Name:     OdsType_Height,
		OdsType_Player.Name:     OdsType_Player,
		OdsType_CtrlPara1.Name:  OdsType_CtrlPara1,
		OdsType_CtrlPara2.Name:  OdsType_CtrlPara2,
		OdsType_CtrlPara3.Name:  OdsType_CtrlPara3,
		OdsType_CtrlPara4.Name:  OdsType_CtrlPara4,
		OdsType_LastModify.Name: OdsType_LastModify,
		OdsType_LastUser.Name:   OdsType_LastUser,
		OdsType_CreateTime.Name: OdsType_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr", "Width", "Height", "Player", "CtrlPara1", "CtrlPara2", "CtrlPara3", "CtrlPara4", "LastUser"})
